package v2.name.panitz.wip.tree;

import java.util.List;
import java.util.LinkedList;
import java.io.*;

public class PP implements Visitor<Integer>{
  int indent = 0;
  Writer w;
  public PP(Writer w){
    this.w = w;
  }

  public Integer visit(IntLit il) throws Exception{
    w.write(il.i+"");
    return indent;
  }

  public Integer visit(MultExpr ex) throws Exception{
    w.write("(");
    ex.left.welcome(this);
    w.write(" * ");
    ex.right.welcome(this);
    w.write(")");
    return indent;
  }
}

