package v3.name.panitz.wip.tree;
public interface Visitor<R>  {
  R visit(IntLit il) throws Exception;
  R visit(MultExpr ex) throws Exception;
  R visit(DivExpr ex) throws Exception;
  R visit(ModExpr ex) throws Exception;
  R visit(AddExpr ex) throws Exception;
  R visit(SubExpr ex) throws Exception;
  R visit(EqExpr ex) throws Exception;
  R visit(NeqExpr ex) throws Exception;
  R visit(LeExpr ex) throws Exception;
  R visit(GeExpr ex) throws Exception;
  R visit(LtExpr ex) throws Exception;
  R visit(GtExpr ex) throws Exception;
  R visit(OrExpr ex) throws Exception;
  R visit(AndExpr ex) throws Exception;
}

