package v5.name.panitz.wip.tree;
import java.util.List;

public  class FunDef implements Tree{
  public String name;
  public List<String> args;
  public Tree def;
  public FunDef(String name, List<String> args, Tree def){
    this.name = name;
    this.args = args;
    this.def = def;
  }
  
  public String toString(){return "FunDef("+name+", "+args+", "+def+")";}

  public <R> R welcome(Visitor<R> visitor) throws Exception{
    return visitor.visit(this);
  }
}

