package v6.name.panitz.wip.stackmachine;

public class  Instruction{
  static public enum Instr 
     { PushInt, Mult, Div, Mod, Add, Sub, Eq, Neq, Lt, Gt, Le, Ge, And, Or
     , JmpTrue, Jmp, Label, GlobLabel, Ret, Push, StartCall, Call
     , PushFun, FunPointerCall};

  public Instr instr;
  public int a1;
  public String label;

  public Instruction(Instr instr,int a1){
    this.a1 = a1;
    this.instr = instr;
    this.label = "";
  }

  public Instruction(Instr instr,String l){
    this(instr,0);
    this.label = l;
  }

  public Instruction(Instr instr){
    this(instr,0);
  }

  public String toString(){return instr+" "+a1+" "+label;}
}

