package v7.name.panitz.wip.tree;
import java.util.List;

public  class ConDef implements Tree{
  public String name;
  public List<String> args;
  public ConDef(String name, List<String> args){
    this.name = name;
    this.args = args;
  }
  
  public String toString(){return "ConDef("+name+", "+args+")";}

  public <R> R welcome(Visitor<R> visitor) throws Exception{
    return visitor.visit(this);
  }
}

