package v10.name.panitz.wip.tree;
import java.util.List;

public  class CaseExpr implements Tree{
  public String name;
  public List<String> args;
  public Tree def;
  boolean isVarCase=false;

  public CaseExpr(String name,List<String> args, Tree def){
    this.name = name;
    this.args = args;
    this.def = def;
  }

  public CaseExpr(String name, Tree def){
    this.name = name;
    this.args = null;
    this.def = def;
    isVarCase=true;
  }
  
  public String toString(){return "CaseExpr("+name+", "+args+", "+def+")";}

  public <R> R welcome(Visitor<R> visitor) throws Exception{
    return visitor.visit(this);
  }
}

