package v10.name.panitz.wip.tree;
import java.util.List;

public class Program implements Tree{
  public List<ConDef> cons;
  public List<FunDef> funs;
  public Tree expr;
  public Program(List<ConDef> cons,List<FunDef> funs){
    this.funs = funs;
    this.cons = cons;
  }

  public String toString(){return "Program("+cons+", "+funs+")";}

  public <R> R welcome(Visitor<R> visitor) throws Exception{
    return visitor.visit(this);
  }
}

