package v2.name.panitz.wip.stackmachine;

public class StackMachine{
  public Instruction[] code;
  int ic = 0;
  int[] stack = new int[200];
  int stc = 0;
  int stb = 0;

  void step(){
    switch (code[ic].instr) {
    case PushInt: stack[stc++] = code[ic].a1;ic++;break;
    case Mult: stack[stc-2] = stack[stc-2] * stack[stc-1];stc--;ic++;break;  
    }
  }

  public void run(){
    while (ic<code.length){
      step();
    }
    System.out.println(stack[0]);
  }

  public static void main(String[] args){
    StackMachine interp = new StackMachine();
    interp.code = new Instruction[1];
    interp.code[0] = new Instruction(Instruction.Instr.PushInt,42);
    interp.run();
  }  
}

