package v2.name.panitz.wip.tree;
import v2.name.panitz.wip.stackmachine.*;

import java.util.List;
import java.util.LinkedList;

public class GenCode implements Visitor<List<Instruction>>{
  List<Instruction> result = new LinkedList<>();

  public List<Instruction> visit(IntLit il) {
    result.add(new Instruction(Instruction.Instr.PushInt,il.i));
    return result;
  }

  public List<Instruction> visit(MultExpr ex) throws Exception{
    ex.left.welcome(this);
    ex.right.welcome(this);
    result.add(new Instruction(Instruction.Instr.Mult));
    return result;
  }
}

